package com.sooka.system.medicine.platform.domain;


import com.sooka.common.annotation.Excel;
import com.sooka.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 平台采集对象 t_guiji_medicine_platform
 *
 * @author lei
 * @date 2022-08-22
 */
public class TGuijiMedicinePlatform extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 传感器编号 */
    private String id;

    /** 推送时间 */
    @Excel(name = "推送时间")
    private String cdTime;

    /** 批次号 */
    @Excel(name = "批次号")
    private String cdBatch;

    /** 操作状态 */
    @Excel(name = "操作状态")
    private String cdOperation;

    /** 数据来源 */
    @Excel(name = "数据来源")
    private String cdSource;

    /** 平台名称 */
    @Excel(name = "平台名称")
    private String platformName;

    /** 建设单位 */
    @Excel(name = "建设单位")
    private String constructingUnit;

    /** 建设时间 */
    @Excel(name = "建设时间")
    private String constructingDate;

    /** 平台地址 */
    @Excel(name = "平台地址")
    private String platformAddress;

    /** 平台地址Ext */
    @Excel(name = "平台地址Ext")
    private String platformAddressExt;

    /** 平台级别 */
    @Excel(name = "平台级别")
    private String platformLevel;

    /** 平台类型 */
    @Excel(name = "平台类型")
    private String platformType;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setCdTime(String cdTime)
    {
        this.cdTime = cdTime;
    }

    public String getCdTime()
    {
        return cdTime;
    }
    public void setCdBatch(String cdBatch)
    {
        this.cdBatch = cdBatch;
    }

    public String getCdBatch()
    {
        return cdBatch;
    }
    public void setCdOperation(String cdOperation)
    {
        this.cdOperation = cdOperation;
    }

    public String getCdOperation()
    {
        return cdOperation;
    }
    public void setCdSource(String cdSource)
    {
        this.cdSource = cdSource;
    }

    public String getCdSource()
    {
        return cdSource;
    }
    public void setPlatformName(String platformName)
    {
        this.platformName = platformName;
    }

    public String getPlatformName()
    {
        return platformName;
    }
    public void setConstructingUnit(String constructingUnit)
    {
        this.constructingUnit = constructingUnit;
    }

    public String getConstructingUnit()
    {
        return constructingUnit;
    }
    public void setConstructingDate(String constructingDate)
    {
        this.constructingDate = constructingDate;
    }

    public String getConstructingDate()
    {
        return constructingDate;
    }
    public void setPlatformAddress(String platformAddress)
    {
        this.platformAddress = platformAddress;
    }

    public String getPlatformAddress()
    {
        return platformAddress;
    }
    public void setPlatformAddressExt(String platformAddressExt)
    {
        this.platformAddressExt = platformAddressExt;
    }

    public String getPlatformAddressExt()
    {
        if(platformAddress != null){
            return "(" + platformAddress + ")" + platformAddressExt;
        }else {
            return platformAddressExt;
        }
    }
    public void setPlatformLevel(String platformLevel)
    {
        this.platformLevel = platformLevel;
    }

    public String getPlatformLevel()
    {
        return platformLevel;
    }
    public void setPlatformType(String platformType)
    {
        this.platformType = platformType;
    }

    public String getPlatformType()
    {
        return platformType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createTime", getCreateTime())
            .append("cdTime", getCdTime())
            .append("cdBatch", getCdBatch())
            .append("cdOperation", getCdOperation())
            .append("cdSource", getCdSource())
            .append("platformName", getPlatformName())
            .append("constructingUnit", getConstructingUnit())
            .append("constructingDate", getConstructingDate())
            .append("platformAddress", getPlatformAddress())
            .append("platformAddressExt", getPlatformAddressExt())
            .append("platformLevel", getPlatformLevel())
            .append("platformType", getPlatformType())
            .toString();
    }
}
